Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class NTriplesParserBenchmark_jmhType

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.ParserBenchmark
  - - org.eclipse.rdf4j.benchmark.rio.impl.NTriplesParserBenchmark
    - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NTriplesParserBenchmark_jmhType_B1
      - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NTriplesParserBenchmark_jmhType_B2
        - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NTriplesParserBenchmark_jmhType_B3
          - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NTriplesParserBenchmark_jmhType

-     public class NTriplesParserBenchmark_jmhType
      extends NTriplesParserBenchmark_jmhType_B3

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.NTriplesParserBenchmark_jmhType_B2

      `readyInvocation, readyIteration, readyTrial, setupInvocationMutex, setupInvocationMutexUpdater, setupIterationMutex, setupIterationMutexUpdater, setupTrialMutex, setupTrialMutexUpdater, tearInvocationMutex, tearInvocationMutexUpdater, tearIterationMutex, tearIterationMutexUpdater, tearTrialMutex, tearTrialMutexUpdater`

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `MAX_STRING_LENGTH, MIN_STRING_LENGTH, PERCENT_BNODE, PERCENT_LITERALS, TEXT_ONLY, TOTAL_STATEMENTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NTriplesParserBenchmark_jmhType()` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.impl.NTriplesParserBenchmark

      `getParser, main`

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `parseBufferedReader, parseStream, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NTriplesParserBenchmark_jmhType

          public NTriplesParserBenchmark_jmhType()